Description

Supportanfrage

Gibt es in ADTF 3 auch eine Mdglichkeit aus einem Header-File einen Description-File zu erstellen wie in ADTF 2 (und nicht nur den
umgekehrten Weg)?

Lésung
Die bekannten header2dll Tools liefern wir auch im ADTF 3.x mit:

o /3rdparty/ddl_editor/bin
¢ ./pkg/ddl/bin

Allerdings kdnnen wir diese an der Stelle nicht empfehlen, da deren Funktionsumfang stark eingeschrankt ist und nur fur die
einfachsten Falle geht.

Unser derzeit empfohlener Weg:

1) Du hast eine DDL -> https://support.digitalwerk.net/adtf/v3/adtf_html/page media_description_code_generation.html
2) Du hast einen Header ->

https://support.digitalwerk.net/adtf/v3/adtf _html/classadtf 1 _1mediadescription_1_1flash_1_1structure.html

da der Punkt 2) natdrlich ab einer bestimmten GréBe suboptimal ist, haben wir hier eine alternative Lésung in der Pipe, die bald
kommen soll.

Diese basiert auf einen eigenen Cast Compiler und kann so praktisch in einer Executable mit CMake Integration eine description
erzeugen.

Einen zeitlichen Horizont kann ich dir dazu noch nicht geben, da wir intern noch den genauen Umfang finalisieren missen. Ob es
dieses Jahr oder Anfang 2021 klappt, kann ich dir also noch nicht versprechen, es sieht aber vielversprechend aus.

History

#1 - 2020-11-17 10:25 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required
- Topic set to ADTF::DDL

- Customer set to AUDI

- Department set to AST

Hallo Dirk,
die bekannten header2dll Tools liefern wir auch im ADTF 3.x mit:

e /3rdparty/dd|_editor/bin
¢ ./pkg/ddi/bin

Allerdings kénnen wir diese an der Stelle nicht empfehlen, da deren Funktionsumfang stark eingeschréankt ist und nur fir die einfachsten Falle geht.
https://support.digitalwerk.net/adtf/v3/adtf_html/page_media_description_code_generation.html
https://support.digitalwerk.net/adtf/v3/adtf_html/classadtf_1_1mediadescription_1_1flash_1_1structure.html

Unser derzeit empfohlener Weg:
1) Du hast eine DDL -> https://support.digitalwerk.net/adtf/v3/adtf_html/page_media_description_code_generation.html
2) Du hast einen Header -> https://support.digitalwerk.net/adtf/v3/adtf _html/classadtf 1_1mediadescription_1_1flash_1_1structure.html

da der Punkt 2) natirlich ab einer bestimmten GrdBe suboptimal ist, haben wir hier eine alternative Lésung in der Pipe, die bald kommen soll.
Diese basiert auf einen eigenen Cast Compiler und kann so praktisch in einer Executable mit CMake Integration eine description erzeugen.

Einen zeitlichen Horizont kann ich dir dazu noch nicht geben, da wir intern noch den genauen Umfang finalisieren miissen. Ob es dieses Jahr oder
Anfang 2021 klappt, kann ich dir also noch nicht versprechen, es sieht aber vielversprechend aus.

#2 - 2020-11-19 09:15 - hidden

Ok. Danke fir Info. Dann kann das Ticket geschlossen werden.

VG Dirk

#3 - 2020-11-19 09:40 - hidden

- Project changed from 11 to Public Support

- Subject changed from Erstellung DDL file to Create DDL description files from C/C++ header files
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue
- File deleted (image001.png)

#5 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed
